﻿using AccessQueueService.Models;

namespace AccessQueueService.Services
{
    public interface IAccessService
    {
        public Task<AccessResponse> RequestAccess(string userId);
        public Task<bool> RevokeAccess(string userId);
        public Task<int> DeleteExpiredTickets();
        public AccessQueueConfig GetConfiguration();
        public void UpdateConfiguration(AccessQueueConfig config);
        public void PatchConfiguration(AccessQueueConfig partialConfig);
        public AccessQueueStatus Status { get; }
    }
}
